WAISSEARCH(1)

NAME
waissearch - Simple shell user interface for making WAIS requests

SYNOPSIS

waissearch [-h host-machine] [-p [service-or-port]] [-d database] [-m max-results] word word...

DESCRIPTION
Part of the Wide Area Information Server system.

waissearch makes a WAIS request over TCP/IP.

OPTIONS

-h host-machine
    Server machine name as a IP name. Defaults to local machine.

-p [ service-or-port ]
    Use this port to communicate. If it is not supplied, then z39_50 is used from the services file.

-m max-results
    Set the maximum number of results returned for a query. Default is 40.

-d database
    The database to use in the query. By convention, many servers support the INFO database.

-v  Print the version number and date of this command.

EXAMPLE

to query the directory of servers about tcp servers:
    waissearch -h quake.think.com -d directory-of-servers \ -p 210 tcp

to ask what tcp databases are supported on a particular server:
    waissearch -h quake.think.com -d INFO -p 210 tcp

to ask for information on a database:
    waissearch -h quake.think.com -d directory-of-servers \ -p 210 help

SEE ALSO
waisserver(1), waisindex(1), waisq(1), xwais(1), xwaisq(1)

Wide Area Information Servers Concepts by Brewster Kahle.
Brewster@think.com

DIAGNOSTICS
The diagnostics produced by the waissearch are meant to be self-explanatory.

BUGS